Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoEngineList Class Reference
[Engine classes]

The SoEngineList class is a container for SoEngine objects. More...

`#include <Inventor/lists/SoEngineList.h>`

Inheritance diagram for SoEngineList:

List of all members.

## Public Methods
| SoEngineList (void)
| SoEngineList (const int size)
| SoEngineList (const SoEngineList &el)
| ~SoEngineList ()
void | append (SoEngine *const ptr)
SoEngine * | operator[] (const int i) const
SoEngineList & | operator= (const SoEngineList &el)

## Detailed Description

The SoEngineList class is a container for SoEngine objects.

As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

## Constructor & Destructor Documentation

SoEngineList::SoEngineList | ( | void |  | ) |

| Default constructor.

SoEngineList::SoEngineList | ( | const int | size | ) |

| Constructor with a hint about the number of elements the list will hold. See also: SoBaseList::SoBaseList(const int)

SoEngineList::SoEngineList | ( | const SoEngineList & | el | ) |

| Copy constructor. See also: SoBaseList::SoBaseList(const SoBaseList &)

SoEngineList::~SoEngineList | ( |  | ) |

| Destructor. See also: SoBaseList::~SoBaseList()

## Member Function Documentation

void SoEngineList::append | ( | SoEngine *const | ptr | ) |

| Append ptr to the list. See also: SoBaseList::append()

SoEngine * SoEngineList::operator[] | ( | const int | i | ) | const

| Return engine pointer at index i. See also: SoBaseList::operator[]() Reimplemented from SoBaseList.

SoEngineList & SoEngineList::operator= | ( | const SoEngineList & | el | ) |

| Copy contents of list el to this list. See also: SoBaseList::operator=()

The documentation for this class was generated from the following files:

- SoEngineList.h
- SoEngineList.cpp